Bug 221965 - [kn_IN] ZWNJ (U+200c) needed in kn-* keymaps
[kn_IN] ZWNJ (U+200c) needed in kn-* keymaps
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n, Reopened
Depends On:
Blocks: 222091
  Show dependency treegraph
Reported: 2007-01-09 06:07 EST by Ramakrishna Reddy Yekulla
Modified: 2010-10-06 03:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-24 07:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the halanth combinations (31.29 KB, image/png)
2007-01-09 06:07 EST, Ramakrishna Reddy Yekulla
no flags Details
The wrong combinations appearing in Gedit for the same key sequences (35.72 KB, image/png)
2007-01-09 08:02 EST, Ramakrishna Reddy Yekulla
no flags Details
Patch for upstream tarball - kn-itrans (363 bytes, patch)
2007-02-15 03:04 EST, Mayank Jain
no flags Details | Diff

  None (edit)
Description Ramakrishna Reddy Yekulla 2007-01-09 06:07:23 EST
Description of problem:

During the transliteration of foreign words into Kannada ( Telugu , to an
extent), if there is any consonant after halant, it merges with the halanth.
Most foreign words adapted in kannada, uses halanth to form a half character.
Typical words are like "Upgrade" , "Update", "Computer". 

Version-Release number of selected component (if applicable):
[ramkrsna@cacofonix ~]$ rpm -qa|grep fonts-kannada

How reproducible:

Steps to Reproduce:
1. Gedit
2. Activate scim with [ctrl + space], choose kannada, either Inscript or iTrans
3. 		Inscript	    iTrans 
ಅಪ್ ಡೇಟ್ 	Dhd[s'd	      ---  apDET
ಅಪ್ ಗ್ರೇಡ್	   Dhdidjs[d	 ---  apgrED
ಇನ್ ಸ್ಟಾಲ್	   Fvdmd'end	 ---  instAl
ನೆಟ್ ವರ್ಕ್ 	    vz'dbjdkd	 ---  netvark

Actual results:
As shown in the attached image below

Expected results:
Consonants with halanths must be abel to appear as independent characters

Additional info:
we are giving a space, in order to handle complexity, but its a bad style, there
must not a space between characters in a word
Comment 1 Ramakrishna Reddy Yekulla 2007-01-09 06:07:23 EST
Created attachment 145150 [details]
the halanth combinations
Comment 2 Ramakrishna Reddy Yekulla 2007-01-09 08:02:37 EST
Created attachment 145157 [details]
The wrong combinations appearing in Gedit for the same key sequences
Comment 3 Mayank Jain 2007-02-15 02:27:42 EST
Moving to m17n-db as fix is as easy as adding a ZWNJ (U+200d) to all kn_IN keymaps.
Comment 4 Mayank Jain 2007-02-15 02:32:26 EST
Changes to kn_IN keymaps

kn-kgp - adding ZWNJ to "ff"
kn-{itrans,inscript} - adding ZWNJ to "\\" (double backslash)
Comment 5 Mayank Jain 2007-02-15 03:03:15 EST
Fixed in m17n-db-1_3_4-7_fc7
Comment 6 Mayank Jain 2007-02-15 03:04:21 EST
Created attachment 148099 [details]
Patch for upstream tarball - kn-itrans
Comment 7 A S Alam 2007-03-15 08:15:15 EDT
bug is fixed, tested with following Package:
Comment 8 Jens Petersen 2007-05-27 21:28:50 EDT
In [m17n-lib:00504], upstream asks about the patch:

| The filename includes the word ZWNJ, but this patch inserts ZWJ
| (U+200D) with "\\".  Are you sure that the patch is correct?
Comment 9 Shankar Prasad 2007-06-19 01:43:10 EDT
While generating the patch Mayank had discussed with me and finally we decided
to add "\\" as ZWJ (U+200) for this bug. But regarding the patch, unless I get
the final package installed I may not be able to say wheather its is correct or
Comment 10 Jens Petersen 2007-06-19 02:04:27 EDT
The patch should be in Fedora 7.
Comment 11 ntakahas 2007-06-22 04:37:02 EDT
Hi, this is the upstream.  What I wanted to point out is U+200D is ZWJ and not
ZWNJ.  If you want to have an explicit halant form, you should use ZWNJ
(U+200C).  Inserting a ZWJ may work depending on the implementation, but it is
just a coincidence.
Comment 12 Shankar Prasad 2007-10-09 02:04:58 EDT
I tried in F7, but the patch is not seem to present.
Comment 13 Parag Nemade 2007-10-09 02:52:24 EDT
I checked patch file kn-itrans-ZWNJ-221965.patch and installed file
/usr/share/m17n/kn-itrans.mim and patch seems present on my F7 machine.
Comment 14 Shankar Prasad 2007-10-09 03:07:20 EDT
Sorry! It was not working for while initially. I just checked, it works fine
with the f7.
Comment 15 Parag Nemade 2010-10-06 03:05:24 EDT
I see that 200C is already included in itrans maps so let's remove this patch in 1.6.2-1.fc15 build.

Note You need to log in before you can comment on or make changes to this bug.